StudentWritingCParser.cxx File Reference
`#include <array>`
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <set>`
`#include <sstream>`
`#include <stack>`
`#include <librevenge/librevenge.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWTextListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWStringStream.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "StudentWritingCParser.hxx"`

## Classes

struct | StudentWritingCParserInternal::FrameStruct
| an structure of StudentWritingCParserInternal to store the position of a frame and its entries More...
struct | StudentWritingCParserInternal::PageStruct
| an structure of StudentWritingCParserInternal to store the page's data More...
struct | StudentWritingCParserInternal::PictureStruct
| an structure of StudentWritingCParserInternal to store the position of a picture and its entries More...
struct | StudentWritingCParserInternal::ZoneStruct
| an structure of StudentWritingCParserInternal to store the position of a zone and its entries More...
struct | StudentWritingCParserInternal::Zone
| a list of entry of StudentWritingCParser defining a zone More...
struct | StudentWritingCParserInternal::State
| Internal: the state of a StudentWritingCParser. More...
class | StudentWritingCParserInternal::SubDocument
| Internal: the subdocument of a StudentWritingCParser. More...
struct | StudentWritingCParserInternal::LWZDecoder
| a basic LWZ decoder More...
struct | StudentWritingCParserInternal::LWZDecoder::LWZEntry

## Namespaces

namespace | StudentWritingCParserInternal
| Internal: the structures of a StudentWritingCParser.

## Typedefs

typedef std::pair< int, int > | StudentWritingCParserInternal::ZoneEntry